proxies:
  - name: 本地
    port: 1080
    server: 33.2.9.8
    type: http
    benchmark-url: http://www.google.com
    benchmark-timeout: 5
  - name: us-home
    type: http
    server: us-home.andie.im
    port: 443
    tls: true # https
    skip-cert-verify: true
    username: wavpub
    password: wavpub2023
  - name: us-forward
    type: http
    server: us-forward.andie.im
    port: 8443
    tls: true # https
    skip-cert-verify: true
    username: wavpub
    password: wavpub2023    
  - name: 联通socks5
    type: socks5
    server: pr2.devlink.cn
    port: 10088
    tls: true # https
    udp: true
    skip-cert-verify: true
    username: wavpub
    password: wavpub2023   
  - name: 联通
    type: http
    server: pr2.devlink.cn
    port: 10087
    tls: true # https
    skip-cert-verify: true
    username: wavpub
    password: wavpub2023   
  - name: 电信
    type: http
    server: pr3.devlink.cn
    port: 10087
    tls: true # https
    skip-cert-verify: true
    username: wavpub
    password: wavpub2023   
  - name: 电信socks5
    type: socks5
    server: pr3.devlink.cn
    port: 10088
    tls: true # https
    udp: true
    skip-cert-verify: true
    username: wavpub
    password: wavpub2023   
mode: rule
proxy-groups:
  # 功能分组
  #- name: ssid-group
  #  type: select # 类型必须为 select，兼容原版 clash 配置
  #  proxies:
  #    - 本地
  #    - DIRECT
  #  ssid-policy:
    # 在 SSID 为 office 的 Wi-Fi 中自动切换为 ss1 策略
    # 在 SSID 为 home 的 Wi-Fi 中自动切换为 ss2 策略
    # 在蜂窝数据中自动切换为 ss3 策略
    # 其他的 SSID 默认为 DIRECT
  #    Andie-Lab: 本地
  #    DAO.FM: DIRECT
  #    cellular: DIRECT
  #    default: 本地
  - name: fallback-auto
    type: fallback
    proxies:
      - 联通socks5
      - 电信socks5
      - 联通
      - 电信
      - DIRECT
rule-providers:
  cn-domain:
    behavior: domain # 使用 domain 类规则集，可以使匹配更高效
    url: https://cdn.jsdelivr.net/gh/Loyalsoldier/clash-rules@release/direct.txt
    interval: 86400
  gfw-domain:
    behavior: domain # 使用 domain 类规则集，可以使匹配更高效
    url: https://cdn.jsdelivr.net/gh/Loyalsoldier/clash-rules@release/gfw.txt
    interval: 86400
  cn-cidr:
    behavior: ipcidr-text
    url: https://cdn.jsdelivr.net/gh/17mon/china_ip_list@master/china_ip_list.txt
    interval: 86400

rules:
  - IP-CIDR,33.0.0.0/8,DIRECT
  - GEOIP,LAN,DIRECT
  - GEOIP,CN,DIRECT
  - RULE-SET,cn-cidr,DIRECT
  - RULE-SET,cn-domain,DIRECT
  - RULE-SET,gfw-domain,fallback-auto
  - MATCH,fallback-auto
dns:
  default-nameserver:
    - system
  nameserver:
    - https://dns.alidns.com/dns-query
    - https://doh.pub/dns-query
log-level: warning

